Html4StrictDocDesc (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Class Html4StrictDocDesc

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.html.HtmlDocDesc
          edu.harvard.hul.ois.jhove.module.html.Html4DocDesc
              edu.harvard.hul.ois.jhove.module.html.Html4StrictDocDesc

Direct Known Subclasses:
  Html4_01StrictDocDesc, Html4_0StrictDocDesc

    public abstract class Html4StrictDocDesc

extends Html4DocDesc

Abstract class for common features of HTML 4.0 and 4.01 strict documents. The differences between 4.0 and 4.01 are minor, so most of the code is found here.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.html.Html4DocDesc
`bigAttrs, biggerAttrs, blockContent, bodyContent, coreAttrs, eventAttrs, flowContent, fontMarkup, formMarkup, halignAtt, i18nAttrs, inlineContent, listContent, listMarkup, phraseMarkup, reservedAttrs, specialMarkup, thtdAtts, valignAtt`

Fields inherited from class edu.harvard.hul.ois.jhove.module.html.HtmlDocDesc
`bodyElement, commonTags, framesetElement, headElement, headings, htmlElement, supportedElements`

Constructor Summary
`Html4StrictDocDesc()`

Method Summary
`protected static void` | `addAddressElement(java.util.Map stSupportedElements)` Defines the ADDRESS element.
`protected static void` | `addAElement(java.util.Map stSupportedElements)` Defines the A element.
`protected static void` | `addAreaElement(java.util.Map stSupportedElements, HtmlAttributeDesc shapeAtt)`
`protected static void` | `addBaseElement(java.util.Map stSupportedElements)`
`protected static void` | `addBlockquoteElement(java.util.Map stSupportedElements)`
`protected static void` | `addBrElement(java.util.Map stSupportedElements, java.util.List coreAttrs)`
`protected static void` | `addButtonElement(java.util.Map stSupportedElements)`
`protected static void` | `addCaptionElement(java.util.Map stSupportedElements, java.util.List inlineContent, HtmlAttributeDesc valignAtt)`
`protected static void` | `addDivElement(java.util.Map stSupportedElements)`
`protected static void` | `addDlElement(java.util.Map stSupportedElements)`
`protected static void` | `addHeadElement(java.util.Map stSupportedElements)`
`protected static void` | `addLegendElement(java.util.Map stSupportedElements)`
`protected static void` | `addLiElement(java.util.Map stSupportedElements)`
`protected static void` | `addLinkElement(java.util.Map stSupportedElements)`
`protected static void` | `addNoscriptElement(java.util.Map stSupportedElements)`
`protected static void` | `addObjectElement(java.util.Map stSupportedElements)`
`protected static void` | `addOlElement(java.util.Map stSupportedElements)`
`protected static void` | `addPElement(java.util.Map stSupportedElements)`
`protected static void` | `addPreElement(java.util.Map stSupportedElements)`
`protected static void` | `addScriptElement(java.util.Map stSupportedElements)`
`protected static void` | `addTableElement(java.util.Map stSupportedElements)`
`protected static void` | `addTrElement(java.util.Map stSupportedElements)`
`protected static void` | `addUlElement(java.util.Map stSupportedElements)`
`protected static void` | `classInit4(java.util.Map stSupportedElements)` Code which is called from the static initializer of the subclasses.

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.Html4DocDesc
`addBdoElement, addBodyElement, addColElement, addColgroupElement, addDdElement, addDelElement, addDtElement, addFieldsetElement, addInsElement, addLabelElement, addMapElement, addMetaElement, addOptgroupElement, addOptionElement, addParamElement, addQElement, addSelectElement, addSpanElement, addStyleElement, addSubElement, addSupElement, addTbodyElement, addTdElement, addTextareaElement, addTfootElement, addTheadElement, addThElement, addTitleElement`

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.HtmlDocDesc
`addRequiredAttribute, addSelfAttribute, addSimpleAttribute, addStringsToList, getMetadata, init, pushElementStack, removeStringsFromList, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Html4StrictDocDesc

    public Html4StrictDocDesc()

Method Detail

### classInit4

    protected static void classInit4(java.util.Map stSupportedElements)

  Code which is called from the static initializer of the subclasses. Note that this is called before the class is instantiated, and may reference only static fields and subroutines.

### addAElement

    protected static void addAElement(java.util.Map stSupportedElements)

  Defines the A element.

### addAddressElement

    protected static void addAddressElement(java.util.Map stSupportedElements)

  Defines the ADDRESS element.

### addAreaElement

    protected static void addAreaElement(java.util.Map stSupportedElements,
                                         HtmlAttributeDesc shapeAtt)

### addBaseElement

    protected static void addBaseElement(java.util.Map stSupportedElements)

### addBlockquoteElement

    protected static void addBlockquoteElement(java.util.Map stSupportedElements)

### addBrElement

    protected static void addBrElement(java.util.Map stSupportedElements,
                                       java.util.List coreAttrs)

### addButtonElement

    protected static void addButtonElement(java.util.Map stSupportedElements)

### addCaptionElement

    protected static void addCaptionElement(java.util.Map stSupportedElements,
                                            java.util.List inlineContent,
                                            HtmlAttributeDesc valignAtt)

### addDivElement

    protected static void addDivElement(java.util.Map stSupportedElements)

### addDlElement

    protected static void addDlElement(java.util.Map stSupportedElements)

### addHeadElement

    protected static void addHeadElement(java.util.Map stSupportedElements)

### addLegendElement

    protected static void addLegendElement(java.util.Map stSupportedElements)

### addLiElement

    protected static void addLiElement(java.util.Map stSupportedElements)

### addLinkElement

    protected static void addLinkElement(java.util.Map stSupportedElements)

### addNoscriptElement

    protected static void addNoscriptElement(java.util.Map stSupportedElements)

### addObjectElement

    protected static void addObjectElement(java.util.Map stSupportedElements)

### addOlElement

    protected static void addOlElement(java.util.Map stSupportedElements)

### addPElement

    protected static void addPElement(java.util.Map stSupportedElements)

### addPreElement

    protected static void addPreElement(java.util.Map stSupportedElements)

### addScriptElement

    protected static void addScriptElement(java.util.Map stSupportedElements)

### addTableElement

    protected static void addTableElement(java.util.Map stSupportedElements)

### addTrElement

    protected static void addTrElement(java.util.Map stSupportedElements)

### addUlElement

    protected static void addUlElement(java.util.Map stSupportedElements)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD